package com.dbs.mplus.fatima.consent.webservice.model;

import org.ksoap2.serialization.PropertyInfo;
import org.ksoap2.serialization.SoapSerializationEnvelope;

import java.util.Hashtable;


public class StringResponse extends BaseObject {

    public String stringResult;

    public Object getProperty(int index) {
    	return stringResult;
    }

    public int getPropertyCount()
    {
        return 1;
    }

    @SuppressWarnings("unchecked")
	public void getPropertyInfo(int index, Hashtable properties, PropertyInfo info) {
    	info.name = "stringResult";
        info.type = new String().getClass();
    }

    public void setProperty(int index, Object value) {
        stringResult = (String) value;
    }

    public void register(SoapSerializationEnvelope envelope) {
        envelope.addMapping(NAMESPACE, "StringResponse", this.getClass());
    }
}
